Bug 1660555 - Unresolvable `R_X86_64_NONE` relocation [rhel-7.2.z]
Summary: Unresolvable `R_X86_64_NONE` relocation [rhel-7.2.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: binutils
Version: 7.6
Hardware: All
OS: Linux
high
low
Target Milestone: rc
: ---
Assignee: Nick Clifton
QA Contact: Miloš Prchlík
Vladimír Slávik
URL: https://stackoverflow.com/questions/4...
Whiteboard:
Depends On: 1553842
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-18 15:43 UTC by RAD team bot copy to z-stream
Modified: 2019-01-09 17:09 UTC (History)
5 users (show)

Fixed In Version: binutils-2.23.52.0.1-55.el7_2.1
Doc Type: Bug Fix
Doc Text:
`strip` no longer malforms binary files built with tools that use a later *BFD* library version Previously, the `strip` tool created an invalid binary file if the file was originally produced by tools that use a later version of the *BFD* library than `strip`. As a consequence running the resulting binary file failed and generated an error message about an unresolvable relocation. *BFD* has been modified to report situations where it cannot recognize its future features instead of damaging the code that contains these features. As a result, `strip` now generates an error message and aborts in this situation.
Clone Of: 1553842
Environment:
Last Closed: 2019-01-09 17:09:03 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0044 None None None 2019-01-09 17:09:04 UTC
Sourceware 22875 None None None 2019-01-08 12:13:45 UTC
Red Hat Product Errata RHSA-2018:3032 None None None 2018-12-18 15:43:30 UTC

Description RAD team bot copy to z-stream 2018-12-18 15:43:28 UTC
This bug has been copied from bug #1553842 and has been proposed to be backported to 7.2 z-stream (EUS).

Comment 2 Nick Clifton 2019-01-02 14:54:13 UTC
Fixed in: binutils-2.23.52.0.1-55.el7_2.1

Comment 6 errata-xmlrpc 2019-01-09 17:09:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0044


Note You need to log in before you can comment on or make changes to this bug.